import { useUserStore } from '@/store/modules/user';
import { UserUtils } from '@bole-core/core';
// import * as userRoleServices from '@/services/api/UserRole';
import { useQuery, useQueryClient } from '@tanstack/vue-query';

export function useIsSystemAdmin() {
  const userStore = useUserStore();
  const { accountInfo } = storeToRefs(userStore);
  const isSystemAdmin = computed(() => UserUtils.isSystemRole(accountInfo.value));
  return isSystemAdmin;
}

export function useUser() {
  const userStore = useUserStore();

  const { userId, userInfo } = storeToRefs(userStore);

  return {
    user: userInfo,
    userId: userId,
  };
}

export function useAllRoleList() {
  // const { data: allRoleList, refetch } = useQuery({
  //   queryKey: ['userServices/getAllRoles'],
  //   queryFn: async () => {
  //     let res = await userServices.getAllRoles({ showLoading: false });
  //     return res;
  //   },
  //   placeholderData: () => [] as API.RoleInfo[],
  // });

  // return {
  //   allRoleList,
  //   refetch,
  // };
  return {
    allRoleList: [],
    refetch: () => {},
  };
}
